List Workers
curl --request GET \
--url https://control-plane.kubiya.ai/api/v1/workers \
--header 'Authorization: Bearer <token>'import requests
url = "https://control-plane.kubiya.ai/api/v1/workers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://control-plane.kubiya.ai/api/v1/workers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"task_queue": "<string>",
"organization_id": "<string>",
"runner_name": "<string>",
"workers": [
{
"identity": "<string>",
"last_access_time": "<string>",
"rate_per_second": 123
}
],
"worker_count": 123,
"approximate_backlog_count": 123
}
]API Reference
List Workers
List registered Temporal workers for the organization.
This queries Temporal to get all task queues for the organization and returns information about registered workers on each queue.
Task queue naming convention: .
GET
/
api
/
v1
/
workers
List Workers
Authorizations
Enter your Kubiya API token (format: Bearer )
Was this page helpful?
⌘I